Page 2 of 58

Posted: Wed Aug 16, 2006 4:18 am
by schleusel
schleusel wrote:uploaded to beta:
neko_db4-4.4.20.tardist new version


ok, this one broke neko_perl_db_file (and spamassassin with it..) :-|

I uploaded a rebuild of neko_perl_db_file-1.814.tardist against the new db4 to beta that fixes the problems..

Posted: Wed Aug 16, 2006 5:26 am
by stuart
I think freeciv2 is broken - it seems to have neko_audiofile.sw.lib as a dependancy, but the nekoware archive only contains a neko_libaudiofile.sw.lib.

Additionally, running swmgr over the entire archive - current and beta - I get a further conflict:

neko_dia requires neko_perl.modules.xml_parser

... which doesn't seem to exist, either (needs to be updated to neko_perl_xml_parser.sw.eoe?)

Posted: Wed Aug 16, 2006 6:09 am
by joerg
stuart wrote:I think freeciv2 is broken - it seems to have neko_audiofile.sw.lib as a dependancy, but the nekoware archive only contains a neko_libaudiofile.sw.lib.


Grrrrrrr.... same problem again. We already hit it in the pass.
http://forums.nekochan.net/viewtopic.php?p=79296&highlight=nekoaudiofile#79296

Looks like that i have problems with removing neko_audiofile :|. I have updated neko_freeciv2. Upload is in progress...... finished at 15:15 GMT+1

Stuart please test it if its now install and runing.

regards
Joerg

Posted: Wed Aug 16, 2006 7:17 am
by stuart
joerg wrote:Stuart please test it if its now install and runing.


Yup - that's fine now. Thanks!

Posted: Wed Aug 16, 2006 2:43 pm
by schleusel
new in beta:

neko_cdrtools-2.01.01a11.tardist Joerg Schilling's CD/DVD writing tools.

The DVD wrinting part of it was closed source until recently and was distributed binary only (cdrecord-ProDVD). This lead to GPL only forks like the dvdrtools already in nekoware or the cdrecord-ossdvd patches.
That part of the cdrtools is now free too and still appears to be more advanced than the forks (those still don't support DVD+R for example) - althogh some linux distributions still won't start packaging cdrtools again due to the weird GPL/CDDL license mix. Personally, i couldn't care less about that fact, but if somebody has a problem with it, please scream now ;-)

The package is marked icompatible with neko_dvdrtools (and actually makes that one obsolete)

Note that i couldn't test the DVD support yet because i'll have to buy new dvd recordables first, so hopefiully it actually works as promised :-)

neko_xcdroast-0.98alpha15.tardist GUI frontend for the cdrtools.

I've patched it with a patch kindly borrowed from gentoo (thanks, goolge) that disables the checks for cdrecord-ProDVD to make it work with the new cdrtools.

neko_cdrdao-1.2.1.tardist disk-at-once cd-copying/recording tool

neko_smake-1.2a36.tardist Schilling's own make variant.. because the world doesn't have enough of those already *sigh*

Posted: Wed Aug 16, 2006 5:05 pm
by hamei
schleusel wrote:neko_cdrtools-2.01.01a11.tardist Joerg Schilling's CD/DVD writing tools.

neko_xcdroast-0.98alpha15.tardist GUI frontend for the cdrtools.

neko_cdrdao-1.2.1.tardist disk-at-once cd-copying/recording tool

schleusel, you be da man a da week ! I'll try these out saturday for sure, merci beaucoups !!

Posted: Wed Aug 16, 2006 6:52 pm
by squeen
I put the dvdrtools package in and am more than happy to see it become obsolete. Nice work, schleusel! I'll try the CD-R capability tomorrow morning.

Thank you.

XCDRoast Dependencies?

Posted: Wed Aug 16, 2006 8:46 pm
by GeneratriX
schleusel wrote:neko_xcdroast-0.98alpha15.tardist GUI frontend for the cdrtools.


Hello Schleusel, what is the package/release for neko_gdk_pixbuf.sw.lib which you're actually using as dependency on neko_xcdroast-0.98alpha15.tardist? ...It seems that I can't find the right tardist here.
Thanks a lot by your nice work, regards,
Diego

Re: XCDRoast Dependencies?

Posted: Thu Aug 17, 2006 1:16 am
by schleusel
GeneratriX wrote: Hello Schleusel, what is the package/release for neko_gdk_pixbuf.sw.lib which you're actually using as dependency on neko_xcdroast-0.98alpha15.tardist? ...It seems that I can't find the right tardist here.


oups, sorry, i fixed that prereq now.. I should finally learn not to keep package versions installed that never got uploaded :-)

Re: XCDRoast Dependencies?

Posted: Thu Aug 17, 2006 1:22 am
by GeneratriX
schleusel wrote:
GeneratriX wrote: Hello Schleusel, what is the package/release for neko_gdk_pixbuf.sw.lib which you're actually using as dependency on neko_xcdroast-0.98alpha15.tardist? ...It seems that I can't find the right tardist here.


oups, sorry, i fixed that prereq now.. I should finally learn not to keep package versions installed that never got uploaded :-)


Oh, thanks a lot Timo!; now everything has sense again. I was browsing fast to find these package! :P ...I'll download the new package to try again. What should be the first server having it uploaded?
Regards,
Diego

Re: XCDRoast Dependencies?

Posted: Thu Aug 17, 2006 1:39 am
by schleusel
GeneratriX wrote:I'll download the new package to try again. What should be the first server having it uploaded?


it is on nekochan already. The first mirror to have it will likeley be dexter's (tudelft.nl). All the other mirrors sync off that one i think. Not sure how often dexter syncs currently.. twice a day?

Re: XCDRoast Dependencies?

Posted: Thu Aug 17, 2006 2:17 am
by GeneratriX
schleusel wrote:
GeneratriX wrote:I'll download the new package to try again. What should be the first server having it uploaded?


it is on nekochan already. The first mirror to have it will likeley be dexter's (tudelft.nl). All the other mirrors sync off that one i think. Not sure how often dexter syncs currently.. twice a day?


Cool!; thanks again by the nice stuff to work! Greetz,
Diego

Posted: Thu Aug 17, 2006 7:55 am
by squeen
Not wanting to miss out on the renaissance in nekoware upgrades I put together the following 2-12's

neko_glib-2.12.2
neko_gimp-2.2.12

The glib rebuild fixes my long standing problem with GIMP (ie. I couldn't load any files with a memory error, in fact I couldn't even build GIMP until I replaced glib).
They're in /beta. Please give them a whirl. :)

Posted: Thu Aug 17, 2006 10:26 am
by nekonoko
squeen wrote:Not wanting to miss out on the renaissance in nekoware upgrades I put together the following 2-12's

neko_glib-2.12.2
neko_gimp-2.2.12

The glib rebuild fixes my long standing problem with GIMP (ie. I couldn't load any files with a memory error, in fact I couldn't even build GIMP until I replaced glib).
They're in /beta. Please give them a whirl. :)


Cool! Only issue I can see off the bat is that none of the prereqs are taken into account for the GIMP plugins in /usr/nekoware/lib/gimp/2.0/* - let's take one at random:

Code: Select all

[Mai:gimp/2.0/plug-ins] neko 16# ldd ./tiff
        libgimpui-2.0.so.1  =>   /usr/nekoware/lib/libgimpui-2.0.so.1   
        libgimp-2.0.so.1  =>     /usr/nekoware/lib/libgimp-2.0.so.1     
        libgimpwidgets-2.0.so.1  =>      /usr/nekoware/lib/libgimpwidgets-2.0.so.1     
        libgimpmodule-2.0.so.1  =>       /usr/nekoware/lib/libgimpmodule-2.0.so.1       
        libgimpcolor-2.0.so.1  =>        /usr/nekoware/lib/libgimpcolor-2.0.so.1       
        libgimpbase-2.0.so.1  =>         /usr/nekoware/lib/libgimpbase-2.0.so.1
        libtiff.so.3  =>         /usr/nekoware/lib/libtiff.so.3
        libjpeg.so  =>   /usr/nekoware/lib/libjpeg.so   
        libgtk-x11-2.0.so.1  =>  /usr/nekoware/lib/libgtk-x11-2.0.so.1 
        libgdk-x11-2.0.so.1  =>  /usr/nekoware/lib/libgdk-x11-2.0.so.1 
        libatk-1.0.so.1  =>      /usr/nekoware/lib/libatk-1.0.so.1     
        libgdk_pixbuf-2.0.so.1  =>       /usr/nekoware/lib/libgdk_pixbuf-2.0.so.1       
        libpangocairo-1.0.so.1  =>       /usr/nekoware/lib/libpangocairo-1.0.so.1       
        libpangoft2-1.0.so.1  =>         /usr/nekoware/lib/libpangoft2-1.0.so.1
        libpango-1.0.so.1  =>    /usr/nekoware/lib/libpango-1.0.so.1   
        libcairo.so.3  =>        /usr/nekoware/lib/libcairo.so.3       
        libpixman.so.1  =>       /usr/nekoware/lib/libpixman.so.1       
        libXrender.so.1  =>      /usr/nekoware/lib/libXrender.so.1     
        libX11.so.1  =>  /usr/lib32/libX11.so.1
        libpng12.so.0  =>        /usr/nekoware/lib/libpng12.so.0       
        libglitz.so.2  =>        /usr/nekoware/lib/libglitz.so.2       
        libfontconfig.so.2  =>   /usr/nekoware/lib/libfontconfig.so.2   
        libexpat.so.1  =>        /usr/nekoware/lib/libexpat.so.1       
        libfreetype.so.7  =>     /usr/nekoware/lib/libfreetype.so.7     
        libz.so  =>      /usr/nekoware/lib/libz.so     
        libm.so  =>      /usr/lib32/libm.so     
        libgobject-2.0.so.1  =>  /usr/nekoware/lib/libgobject-2.0.so.1 
        libgmodule-2.0.so.1  =>  /usr/nekoware/lib/libgmodule-2.0.so.1 
        libglib-2.0.so.1  =>     /usr/nekoware/lib/libglib-2.0.so.1     
        libintl.so.4  =>         /usr/nekoware/lib/libintl.so.4
        libiconv.so.3  =>        /usr/nekoware/lib/libiconv.so.3       
        libc.so.1  =>    /usr/lib32/libc.so.1   
        libCsup.so  =>   /usr/lib32/libCsup.so 
        libC.so.2  =>    /usr/lib32/libC.so.2   
        libCio.so.1  =>  /usr/lib32/libCio.so.1
        libXext.so  =>   /usr/lib32/libXext.so


Granted, some of those are recursive but there's a lot more there than the package is allowing for at present ;)

Posted: Thu Aug 17, 2006 12:24 pm
by joerg
At least the following is needed

Code: Select all

[o2k]:/usr/nekoware/lib/gimp/2.0 $ ~root/nekotool.php -l ./
Found 10 files under ./.
Investigating 32 *.so libs
Investigating 20 subimages
prereq (
  neko_atk.sw.lib 4 maxint
  neko_cairo.sw.lib 4 maxint
  neko_expat.sw.lib 3 maxint
  neko_fontconfig.sw.lib 3 maxint
  neko_freetype2.sw.lib 3 maxint
  neko_gettext.sw.lib 2 maxint
  neko_gimp.sw.lib 5 maxint
  neko_glib.sw.lib 7 maxint
  neko_glitz.sw.lib 2 maxint
  neko_gtk.sw.lib 6 maxint
  neko_lcms.sw.lib 114 maxint
  neko_libiconv.sw.lib 2 maxint
  neko_libpixman.sw.lib 2 maxint
  neko_libpng.sw.lib 3 maxint
  neko_libxrender.sw.lib 2 maxint
  neko_pango.sw.lib 7 maxint
  neko_zlib.sw.lib 6 maxint
)


These are only the libs. Also needed is python and maybe perl?.

Oh. i have take a look to the spec file. From my point of few some more is missing. The neko_gimp.sw.eoe need also "neko_gimp.sw.lib 5 maxint" as a dependancy, otherwise someone 'can' install the binaries without the needed libs.

Code: Select all

[o2k]:/usr/nekoware/lib/gimp $ cp /usr/nekoware/bin/gimp /tmp/gimp/
[o2k]:/usr/nekoware/lib/gimp $ ~root/nekotool.php -b /tmp/gimp/
Found 1 files under /tmp/gimp/.
Investigating 32 *.so libs
Investigating 20 subimages
prereq (
  neko_atk.sw.lib 4 maxint
  neko_cairo.sw.lib 4 maxint
  neko_expat.sw.lib 3 maxint
  neko_fontconfig.sw.lib 3 maxint
  neko_freetype2.sw.lib 3 maxint
  neko_gettext.sw.lib 2 maxint
  neko_gimp.sw.lib 5 maxint
  neko_glib.sw.lib 7 maxint
  neko_glitz.sw.lib 2 maxint
  neko_gtk.sw.lib 6 maxint
  neko_libart.sw.lib 2 maxint
  neko_libiconv.sw.lib 2 maxint
  neko_libpixman.sw.lib 2 maxint
  neko_libpng.sw.lib 3 maxint
  neko_libxrender.sw.lib 2 maxint
  neko_pango.sw.lib 7 maxint
  neko_zlib.sw.lib 6 maxint
)


regards
Joerg